aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-app-run-test-short.sh2
-rw-r--r--jjb/common/include-agl-lava-jobs-submit.sh13
-rw-r--r--jjb/common/include-agl-lava-labs-prepare.sh6
-rw-r--r--jjb/common/include-agl-run-test-prepare.sh1
-rw-r--r--jjb/common/include-agl-run-test-rsync-changeid.sh8
-rw-r--r--jjb/common/include-agl-run-test-short.sh6
6 files changed, 22 insertions, 14 deletions
diff --git a/jjb/common/include-agl-app-run-test-short.sh b/jjb/common/include-agl-app-run-test-short.sh
index ea6c7c18..7a8f59e5 100644
--- a/jjb/common/include-agl-app-run-test-short.sh
+++ b/jjb/common/include-agl-app-run-test-short.sh
@@ -33,11 +33,13 @@ esac
CREATE_ARGS+="--build-type snapshot --branch master --version latest "
[[ ! -z $GERRIT_CHANGE_NUMBER ]] && CREATE_ARGS+="--app-changeid $GERRIT_CHANGE_NUMBER "
[[ ! -z $GERRIT_PATCHSET_NUMBER ]] && CREATE_ARGS+="--app-patchset $GERRIT_PATCHSET_NUMBER "
+[[ ! -z $AGLBRANCH ]] && CREATE_ARGS+="--app-branch $AGLBRANCH "
BUILD_VERSION="AGL-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER"
[[ -e output/repo-manifest-r.txt.sha1 ]] && BUILD_VERSION+="-$(cat output/repo-manifest-r.txt.sha1)"
CREATE_ARGS+="--name AGL-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER "
CREATE_ARGS+="--build-version $BUILD_VERSION "
CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+CREATE_ARGS+="--test application-lifecycle "
$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
if [ $? != 0 ]; then
diff --git a/jjb/common/include-agl-lava-jobs-submit.sh b/jjb/common/include-agl-lava-jobs-submit.sh
index bf4f478d..03c4733c 100644
--- a/jjb/common/include-agl-lava-jobs-submit.sh
+++ b/jjb/common/include-agl-lava-jobs-submit.sh
@@ -90,24 +90,29 @@ echo "####"
# ask for email report
-if [ -z "$KCI_EMAIL_AUTH_TOKEN" ]; then
- KCI_API='https://kernelci.dev.baylibre.com:8081'
+set -x
+if [ -n "$KCI_EMAIL_AUTH_TOKEN" ]; then
+ KCI_API='http://kernelci.dev.baylibre.com:8081'
TREE_NAME=$(grep kernel.tree: $JOB_FILE_NEW | sed 's,[[:space:]],,g' | cut -d: -f2)
BRANCH=$(grep git.branch: $JOB_FILE_NEW | sed 's,[[:space:]],,g' | cut -d: -f2)
GIT_DESCRIBE="$(grep kernel.version: $JOB_FILE_NEW | sed 's,[[:space:]],,g' | cut -d: -f2)"
+ set +e
lavacli -i $lab results $job_id > test_plan.raw
if [ $? -eq 0 ]; then
grep '* [0-9]' test_plan.raw |cut -d_ -f2- |cut -d. -f1 | sort | uniq > test_plans
- if [ $? -eq 0 ] && [ -s test_plans ]; then
+ if [ -s test_plans ]; then
for plan in $(<test_plans); do
- curl -X POST -H "Authorization: $KCI_EMAIL_AUTH_TOKEN" -H "Content-Type: application/json" -d '{"job": "'$TREE_NAME'", "kernel": "'$GIT_DESCRIBE'", "git_branch": "'$BRANCH'", "report_type": "test", "plan": "'$plan'", "send_to": [" automotive-testreports@lists.linuxfoundation.org"], "format": ["txt"], "delay": 3600}' ${KCI_API}/send
+ curl -X POST -H "Authorization: $KCI_EMAIL_AUTH_TOKEN" -H "Content-Type: application/json" -d '{"job": "'$TREE_NAME'", "kernel": "'$GIT_DESCRIBE'", "git_branch": "'$BRANCH'", "report_type": "test", "plan": "'$plan'", "send_to": ["automotive-testreports@lists.linuxfoundation.org"], "format": ["txt"], "delay": 3600}' ${KCI_API}/send
echo "The test email reportS will be sent with a delay of 1 hour "
done
else
echo "There is no test plan identified"
fi
fi
+ set -e
fi
+set +x
+
# after one successful submit, we're done
if [ x"$status" = x"Complete" ]; then
exit 0
diff --git a/jjb/common/include-agl-lava-labs-prepare.sh b/jjb/common/include-agl-lava-labs-prepare.sh
index ab60a739..bfa213c4 100644
--- a/jjb/common/include-agl-lava-labs-prepare.sh
+++ b/jjb/common/include-agl-lava-labs-prepare.sh
@@ -103,14 +103,13 @@ for lab in "${!labs[@]}"; do
for i in `seq 1 $retries`
do
# device is only available if "idle" or "running"
- sleep 60s
# Look if the status of the board has changed from reserved in the lab
echo -n "Checking for $lava_device at $full_url... "
lavacli_line=$(lavacli -i $lab devices list | grep $lava_device | grep Good | head -1)
lavacli_line=$(echo "$lavacli_line" | tr -d '[:space:]')
if [ -z "$lavacli_line" ]; then
echo "not found."
- continue
+ break
fi
IFS=':'
arr=($lavacli_line)
@@ -119,15 +118,14 @@ for lab in "${!labs[@]}"; do
if [ x"$device_status" = x"Reserved,Good" ]; then
echo "Device still reserved, retries left: $retries ."
- continue
elif [ x"$device_status" = x"Idle,Good" ]; then
# IDLE AND GOOD means we can grab it
device_available=1
break
elif [ x"$device_status" = x"Running,Good" ]; then
echo "Device still running (other job), retries left: $retries ."
- continue
fi
+ sleep 60s
done
if [ $device_available = 0 ]; then
diff --git a/jjb/common/include-agl-run-test-prepare.sh b/jjb/common/include-agl-run-test-prepare.sh
index 9a56c595..5a68ab6b 100644
--- a/jjb/common/include-agl-run-test-prepare.sh
+++ b/jjb/common/include-agl-run-test-prepare.sh
@@ -31,6 +31,7 @@ agl_lava_releng_aliases=(
[m3ulcb-nogfx]="r8a7796-m3ulcb;m3ulcb"
[porter-nogfx]="renesas-porter;porter"
[dra7xx-evm]="dra7-evm;dra7xx-evm"
+ [intel-corei7-64]="upsquare;upsquare"
)
OFS=${IFS}
diff --git a/jjb/common/include-agl-run-test-rsync-changeid.sh b/jjb/common/include-agl-run-test-rsync-changeid.sh
index 9c218f96..033ca8c0 100644
--- a/jjb/common/include-agl-run-test-rsync-changeid.sh
+++ b/jjb/common/include-agl-run-test-rsync-changeid.sh
@@ -39,9 +39,13 @@ echo "tmp/deploy/images/${TARGETMACHINE}/${DEVICE_DTB#"$DEVICE_KERNEL"-}"
# cp -avL tmp/deploy/images/${TARGETMACHINE}/${DEVICE_DTB#"$DEVICE_KERNEL"-} tmp/deploy/images/${TARGETMACHINE}/${DEVICE_DTB}
#fi
-BUILD_INFO=build-info
+if [ -e tmp/deploy/images/${TARGETMACHINE}/build-info ] ; then
+ cp -avL tmp/deploy/images/${TARGETMACHINE}/build-info ${DEST}/
+ cp -avL tmp/deploy/images/${TARGETMACHINE}/build-info ${DEST2}/
+fi
+
# copy files to $DEST (only if variable is non-empty)
-for i in DEVICE_DTB DEVICE_KERNEL DEVICE_INITRAMFS DEVICE_NBDROOT BUILD_INFO; do
+for i in DEVICE_DTB DEVICE_KERNEL DEVICE_INITRAMFS DEVICE_NBDROOT; do
FILE=$(eval echo \$${i})
if [ -n "$FILE" ]; then
cp -avL tmp/deploy/images/${TARGETMACHINE}/${FILE} ${DEST}/
diff --git a/jjb/common/include-agl-run-test-short.sh b/jjb/common/include-agl-run-test-short.sh
index 9995e9b5..0a69360e 100644
--- a/jjb/common/include-agl-run-test-short.sh
+++ b/jjb/common/include-agl-run-test-short.sh
@@ -34,10 +34,8 @@ CREATE_ARGS+="--name AGL-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER "
[[ ! -z $DIST_BB_AGL_BRANCH ]] && CREATE_ARGS+="--branch $DIST_BB_AGL_BRANCH "
[[ ! -z $DIST_BB_AGLVERSION ]] && CREATE_ARGS+="--version $DIST_BB_AGLVERSION "
CREATE_ARGS+="--callback-from ${LAVA_LAB} "
-if [[ ! -z $lavacli_tags ]] && [[ $MACHINE =~ "-nogfx" ]]; then
- CREATE_ARGS+="--device-tags ${lavacli_tags} "
-else
- CREATE_ARGS+="--device-tags ${lavacli_tags} "weston" "
+if [[ ! -z $lavacli_tags ]]; then
+ CREATE_ARGS+="--device-tags ${lavacli_tags} "
fi
$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml